```python
#modifier le dossier de travail
import os
os.chdir("C:/Users/Zatovo/Desktop/demo")

#charger la première feuille
import pandas
DT = pandas.read_excel("Data_LDA_Python.xlsx",sheet_name="DATA_TRAIN")
DT.info()
```

    <class 'pandas.core.frame.DataFrame'>
    RangeIndex: 52 entries, 0 to 51
    Data columns (total 9 columns):
     #   Column  Non-Null Count  Dtype  
    ---  ------  --------------  -----  
     0   MEOH    52 non-null     float64
     1   ACET    52 non-null     float64
     2   BU1     52 non-null     float64
     3   BU2     52 non-null     float64
     4   ISOP    52 non-null     int64  
     5   MEPR    52 non-null     float64
     6   PRO1    52 non-null     float64
     7   ACAL    52 non-null     float64
     8   TYPE    52 non-null     object 
    dtypes: float64(7), int64(1), object(1)
    memory usage: 3.8+ KB
    


```python
#analyse discriminante de scikit-learn
from sklearn.discriminant_analysis import LinearDiscriminantAnalysis

#instanciation avec les paramètres par défaut
adl = LinearDiscriminantAnalysis()

#apprentissage
adl.fit(X=DT[DT.columns[:-1]],y=DT.TYPE)

#propriétés et méthodes de l'objet
print(dir(adl))
```

    ['__class__', '__delattr__', '__dict__', '__dir__', '__doc__', '__eq__', '__format__', '__ge__', '__getattribute__', '__getstate__', '__gt__', '__hash__', '__init__', '__init_subclass__', '__le__', '__lt__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__setstate__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_check_n_features', '_estimator_type', '_get_param_names', '_get_tags', '_max_components', '_more_tags', '_predict_proba_lr', '_repr_html_', '_repr_html_inner', '_repr_mimebundle_', '_solve_eigen', '_solve_lsqr', '_solve_svd', '_validate_data', 'classes_', 'coef_', 'decision_function', 'explained_variance_ratio_', 'fit', 'fit_transform', 'get_params', 'intercept_', 'means_', 'n_components', 'n_features_in_', 'predict', 'predict_log_proba', 'predict_proba', 'priors', 'priors_', 'scalings_', 'score', 'set_params', 'shrinkage', 'solver', 'store_covariance', 'tol', 'transform', 'xbar_']
    


```python
#affichage des coefficients
print(adl.coef_)
```

    [[-0.01890857 -0.00332301 -0.28212765 -0.06540478  0.01021444  0.03866919
       0.00608734  0.15998905]
     [ 0.00669172  0.00669936  0.18694362  0.00683046  0.01689567 -0.12776598
      -0.00129645 -0.13261865]
     [ 0.0110535  -0.00219997  0.09960079  0.05047122 -0.02135403  0.06295567
      -0.0042019  -0.03652671]]
    


```python
#affichage plus sympathique
print(pandas.DataFrame(adl.coef_.transpose(),index=DT.columns[:-1],columns=adl.classes_))
```

            KIRSCH     MIRAB     POIRE
    MEOH -0.018909  0.006692  0.011053
    ACET -0.003323  0.006699 -0.002200
    BU1  -0.282128  0.186944  0.099601
    BU2  -0.065405  0.006830  0.050471
    ISOP  0.010214  0.016896 -0.021354
    MEPR  0.038669 -0.127766  0.062956
    PRO1  0.006087 -0.001296 -0.004202
    ACAL  0.159989 -0.132619 -0.036527
    


```python
#sans oublier les constantes
print(adl.intercept_)
```

    [  6.64042128  -7.18381145 -13.10800536]
    


```python
#chargement de la seconde feuille
DP = pandas.read_excel("Data_LDA_Python.xlsx",sheet_name="DATA_PREDICT")
DP.info()
```

    <class 'pandas.core.frame.DataFrame'>
    RangeIndex: 50 entries, 0 to 49
    Data columns (total 8 columns):
     #   Column  Non-Null Count  Dtype  
    ---  ------  --------------  -----  
     0   MEOH    50 non-null     int64  
     1   ACET    50 non-null     int64  
     2   BU1     50 non-null     float64
     3   BU2     50 non-null     float64
     4   ISOP    50 non-null     int64  
     5   MEPR    50 non-null     int64  
     6   PRO1    50 non-null     int64  
     7   ACAL    50 non-null     float64
    dtypes: float64(3), int64(5)
    memory usage: 3.2 KB
    


```python
#prediction
pred = adl.predict(DP)
print(pred)
```

    ['KIRSCH' 'KIRSCH' 'KIRSCH' 'KIRSCH' 'KIRSCH' 'KIRSCH' 'KIRSCH' 'KIRSCH'
     'KIRSCH' 'KIRSCH' 'KIRSCH' 'KIRSCH' 'KIRSCH' 'KIRSCH' 'POIRE' 'MIRAB'
     'MIRAB' 'MIRAB' 'MIRAB' 'MIRAB' 'MIRAB' 'MIRAB' 'MIRAB' 'MIRAB' 'MIRAB'
     'MIRAB' 'MIRAB' 'POIRE' 'MIRAB' 'MIRAB' 'POIRE' 'MIRAB' 'MIRAB' 'MIRAB'
     'POIRE' 'KIRSCH' 'POIRE' 'POIRE' 'MIRAB' 'POIRE' 'POIRE' 'POIRE' 'POIRE'
     'POIRE' 'POIRE' 'POIRE' 'POIRE' 'MIRAB' 'POIRE' 'POIRE']
    


```python
#comptage des prédictions
print(pandas.Series(pred).value_counts())
```

    MIRAB     19
    POIRE     16
    KIRSCH    15
    dtype: int64
    


```python

```
